function [lambda logF] = samplelambda(x0,sig)
%  
% samplelambda  sample new lambda at t time point
%  
% INPUT:
%
%  x0  Double, lambda at t-1 time point.
%  sig Double, the scale of the Gaussian proposal distribution.
%
% OUTPUT:
%
%  lambda  Double, lambda at t time point.
%  logF    Double, the log likelihood function value.
%

global accp

x_samp = normrnd(x0,sig,1);
lambda = exp(-x_samp);
logF = -mcmcloglikeli(lambda);

r = exp(-mcmcloglikeli(lambda)+mcmcloglikeli(exp(-x0)));
if unifrnd(0,1)>min(r,1)
    lambda = exp(-x0);
    logF = -mcmcloglikeli(exp(-x0));
else
    accp = accp+1;
end
